server {
  server_name toka-proj.pp.ua;
  listen 443 ssl spdy;

  ssl_certificate /etc/letsencrypt/live/toka-proj.pp.ua/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/toka-proj.pp.ua/privkey.pem;
  ssl_trusted_certificate /etc/letsencrypt/live/toka-proj.pp.ua/chain.pem;
  ssl_dhparam /etc/letsencrypt/live/toka-proj.pp.ua/dhparam.pem;

  ssl_session_cache   shared:SSL:20m;
  ssl_session_timeout 60m;
  ssl_prefer_server_ciphers on;
  ssl_stapling on;
  ssl_stapling_verify on;
  ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
  ssl_ciphers  "ECDH+AESGCM:ECDH+AES256:ECDH+AES128:DH+3DES:!ADH:!AECDH:!MD5";
  resolver 8.8.8.8;
  
  add_header Strict-Transport-Security "max-age=31536000";
  add_header Content-Security-Policy "block-all-mixed-content";

  index index.php index.html;
  root /var/www/public;


  location / {
    try_files $uri /index.php?$args;
  }

  location ~ \.php$ {
    fastcgi_split_path_info ^(.+\.php)(/.+)$;
    fastcgi_pass app:9000;
    fastcgi_index index.php;
    include fastcgi_params;
    fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
    fastcgi_param PATH_INFO $fastcgi_path_info;
    fastcgi_param HTTPS on; # Для php-fpm
  }
}

server {
  server_name toka-proj.pp.ua;
  listen 80;

  return 301 https://$host$request_uri;
}
